var path = require("path");

var webpack = require("webpack");

var defs = require("./package.defs.js");

var config = {
  entry: path.resolve(defs.SRC_DIR, "index.js"),
  devtool: "source-map",
  output: {
    path: defs.LIB_DIR,
    filename: defs.FILENAME_DEV,
    library: defs.LIBRARY_NAME,
    libraryTarget: "umd",
    umdNamedDefine: true
  },
  module: {
    loaders: [
      {
        test: /\.js?/,
        include: defs.SRC_DIR,
        loader: ["babel-loader"]
      }
    ]
  }
};

module.exports = config;
